#    This file is part of the FElt finite element analysis package.
#    Copyright (C) 1993 Jason I. Gobat and Darren C. Atkinson
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

include ../Makefile.conf


all:;	@cd Elements; echo "Making all in Elements ..."; make all
	@cd Felt; echo "Making all in Felt ..."; make all
	@cd Generate; echo "Making all in Generate ..."; make all
	@cd Geompack; echo "Making all in Geompack ..."; make all
	@cd Widgets; echo "Making all in Widgets ..."; make all

clean:;	@cd Elements; echo "Cleaning Elements ..."; make clean
	@cd Felt; echo "Cleaning Felt ..."; make clean
	@cd Generate; echo "Cleaning Generate ..."; make clean
	@cd Geompack; echo "Cleaning Geompack ..."; make clean
	@cd Widgets; echo "Cleaning Widgets ..."; make clean
